<template>
    <li class="list-group-item" v-bind:class="{'active':item.completed}">
        <input v-model="item.completed" type="checkbox" v-on:change="markComplete">
        {{item.title}}
        <button @click="$emit('del-item', item.id)" type="button" class="close item-action">
            <i class="fa fa-times" aria-hidden="true"></i>
        </button>
        <button @click="$emit('get-item', item.id)" type="button" class="close item-action" data-toggle="modal" data-target="#itemDetail">
            <i class="fa fa-pencil" aria-hidden="true"></i>
        </button>
    </li>
</template>

<script>
    export default {
        name: 'Item',
        props: ['item'],
        methods: {
            markComplete() {
                // this.item.completed = !this.item.completed;
                this.$emit('update-status', this.item);
            }
        }
    }
</script>